## readline 7.0

=== debian/changelog ===
readline (7.0-5) unstable; urgency=medium

  * More updates for the new ncurses build dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 05 May 2018 16:52:46 +0200

readline (7.0-4) unstable; urgency=medium

  * Update ncurses build dependencies. Closes: #897403.
  * Stop building the libreadline7-dbg package.

 -- Matthias Klose <doko@debian.org>  Wed, 02 May 2018 13:36:22 +0200

readline (7.0-3) unstable; urgency=medium

  * Apply upstream patches 002 and 003. Closes: #852750.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 13:00:23 -0700

readline (7.0-2) unstable; urgency=medium

  * Apply upstream patch 001.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 16:17:33 +0100

readline (7.0-1) unstable; urgency=medium

  * Readline 7.0 release.
  * libreadline-dev: Provide libreadline6-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2016 00:07:07 +0200

readline (7.0~rc2-1) experimental; urgency=medium

  * Readline 7.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2016 09:59:15 +0200

readline (7.0~rc1+b2-1) experimental; urgency=medium

  * New upstream tarball, called "7.0 beta2".

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jul 2016 20:48:12 +0200

readline (7.0~rc1-1) experimental; urgency=medium

  * Readline 7.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Mar 2016 21:42:41 +0100

readline (7.0~beta-1) experimental; urgency=medium

  * Readline 7.0 beta release.
  * Stop building versioned -dev packages.
  * debian/copyright: Mention GFDL for documentation files.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Feb 2016 12:27:41 +0100

readline6 (6.3-8) unstable; urgency=medium

  * Split out a readline-doc package for documentation and examples.
    Closes: #749168.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 19:13:20 +0200

readline6 (6.3-7) unstable; urgency=medium

  * Apply upstream patches 001 - 006. Fixes:
    - The `.' command in vi mode cannot undo multi-key commands beginning with
      `c', `d', and `y' (command plus motion specifier).
    - When in callback mode, some readline commands can cause readline to
      segfault by passing invalid contexts to callback functions.
    - There are debugging functions in the readline release that are
      theoretically exploitable as security problems.
      They are not public functions, but have global linkage.
    - The signal handling changes to bash and readline (to avoid running any
      code in a signal handler context) cause the cursor to be placed on the
      wrong line of a multi-line command after a ^C interrupts editing.
    - There are still applications using the deprecated Function/VFunction/etc.
      typedefs in rltypedefs.h.  This patch restores the typedefs, but attempts
      to mark them as deprecated using gcc/clang attributes.
    - Using reverse-i-search when horizontal scrolling is enabled does not
      redisplay the entire line containing the successful search results.
  * Remove local patches included in the upstream updates.
  * Apply upstream bash patch bash43-021:
    - When the readline `revert-all-at-newline' option is set, pressing newline
      when the current line is one retrieved from history results in a double
      free and a segmentation fault.
  * Add home code for rxvt in inputrc. Closes: #722087.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 18:34:31 +0200

readline6 (6.3-6) unstable; urgency=medium

  * Really apply the patch to fix the display issue when a multiline
    command is aborted with ^C. Closes: #743603.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Apr 2014 13:18:20 +0200

readline6 (6.3-5) unstable; urgency=medium

  * Fix a display issue when a multiline command is aborted with ^C.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2014 18:03:53 +0100

readline6 (6.3-4) unstable; urgency=medium

  * Fix an issue in vi-mode, not re-doing the latest "dw", "dl", "D", ...
    commands.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 18:35:48 +0100

readline6 (6.3-3) unstable; urgency=medium

  * Fix patching the installed example Makefile.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 17:07:30 +0100

readline6 (6.3-2) unstable; urgency=medium

  * Fix segfault in _rl_dispatch_callback(). Closes: #741555.
  * Remove build specific paths from the installed examples Makefile.
    Closes: #670030, #693248.
  * 6.3 includes the documentation again. Closes: #726581.
  * Fix symbols file for non-linux architectures.
  * Fix build warning building rlfe (assignment makes pointer from integer
    without a cast).
  * Fix lintian permission warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 13:42:21 +0100

readline6 (6.3-1) unstable; urgency=medium

  * readline 6.3 release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Mar 2014 08:24:21 +0100

readline6 (6.2-9) unstable; urgency=low

  * Apply upstream patches 002 - 004. Fixes:
    - The readline shared library helper script needs to be updated for
      Mac OS X 10.7 (Lion, darwin11).
    - A change between readline-6.1 and readline-6.2 to prevent the readline
      input hook from being called too frequently had the side effect of
      causing delays when reading pasted input on systems such as Mac OS X.
      This patch fixes those delays while retaining the readline-6.2 behavior.
      Closes: #687100.
    - Attempting to redo (using `.') the vi editing mode `cc', `dd', or `yy'
      commands leads to an infinite loop.
  * Make examples Makefile Multi-Arch installable (Shawn Landden).
    Closes: #670030.
  * Fix building with -Wformat-security, and pass CPPFLAGS (Simon Ruderich).
    Closes: #687717.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Sep 2012 14:10:00 +0200

readline6 (6.2-8) unstable; urgency=low

  * Mark readline-common Multi-Arch: foreign. Closes: #648098.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Nov 2011 23:21:05 +0100


