=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: important
 Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 9),
   libncurses-dev,
   lib32ncurses-dev [amd64 ppc64], lib64ncurses-dev [i386 powerpc sparc s390],
   mawk | awk, texinfo, autotools-dev,
   gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc]
 
-Package: libreadline7
+Package: libreadline8
 Architecture: any
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -24,7 +24,7 @@
  The GNU history library provides a consistent user interface for
  recalling lines of previously typed input.
 
-Package: lib64readline7
+Package: lib64readline8
 Architecture: i386 powerpc s390 sparc
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
 Section: libs
@@ -58,7 +58,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libreadline7 (= ${binary:Version}), libncurses-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: libreadline8 (= ${binary:Version}), libncurses-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Multi-Arch: same
 Conflicts: libreadline5-dev, libreadline6-dev, libreadline-gplv2-dev
 Suggests: readline-doc
@@ -75,7 +75,7 @@
 
 Package: lib64readline-dev
 Architecture: i386 powerpc s390 sparc
-Depends: lib64readline7 (= ${binary:Version}), lib64ncurses-dev, ${devxx:Depends}, ${misc:Depends}
+Depends: lib64readline8 (= ${binary:Version}), lib64ncurses-dev, ${devxx:Depends}, ${misc:Depends}
 Conflicts: lib64readline6-dev, lib64readline-gplv2-dev
 Provides: lib64readline6-dev
 Section: libdevel
@@ -94,6 +94,7 @@
 Section: utils
 Priority: optional
 Provides: readline-editor
+Build-Profiles: <!cross>
 Description: Front-end using readline to "cook" input lines for other programs
  This tool lets you use history and line-editing in any text oriented
  tool. This is especially useful with third-party proprietary tools that
@@ -102,7 +103,7 @@
  .
  See the ledit and rlwrap packages for other programs of that kind.
 
-Package: lib32readline7
+Package: lib32readline8
 Architecture: amd64 ppc64
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
 Section: libs
@@ -117,7 +118,7 @@
 
 Package: lib32readline-dev
 Architecture: amd64 ppc64
-Depends: lib32readline7 (= ${binary:Version}), lib32ncurses-dev, ${devxx:Depends}, ${misc:Depends}
+Depends: lib32readline8 (= ${binary:Version}), lib32ncurses-dev, ${devxx:Depends}, ${misc:Depends}
 Conflicts: lib32readline6-dev, lib32readline-gplv2-dev
 Provides: lib32readline6-dev
 Section: libdevel
