=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-soversion = 7
+soversion = 8
 libversion = $(soversion).0
 
 # architecture dependent variables
@@ -129,11 +129,7 @@
 
 	touch configure-stamp
 
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-build: build-stamp build-rlfe-stamp
-else
-build: build-stamp
-endif
+build: build-stamp $(if $(filter cross,$(DEB_BUILD_PROFILES)),,build-rlfe-stamp)
 build-arch: build
 build-indep: build
 
@@ -207,6 +203,7 @@
 	dh_prep
 	rm -rf $(d)
 	mkdir -p $(d)/usr/bin
+	mkdir -p $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	$(MAKE) -C $(builddir) install \
 	    CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -D_REENTRANT" \
 	    SHOBJ_LDFLAGS='-shared $(LDFLAGS)' \
@@ -244,7 +241,7 @@
 
 	: # move $(p_rld)
 	dh_installdirs -p$(p_rld) \
-		usr/lib/$(DEB_HOST_MULTIARCH)/ \
+		usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		usr/share/doc \
 		usr/share/info
 	ln -s /lib/$(DEB_HOST_MULTIARCH)/libhistory.so.$(soversion) \
@@ -253,6 +250,8 @@
 		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so
 	mv $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/lib{history,readline}.a \
 		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/.
+	mv $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/readline.pc \
+		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/.
 	mv $(d)/usr/include $(d_rld)/usr/.
 
 	: # remove HAVE_CONFIG_H from installed headers
@@ -269,9 +268,6 @@
 	    $(d_rld)/usr/include/readline/chardefs.h; \
 	fi
 
+ifeq (,$(filter cross,$(DEB_BUILD_PROFILES)))
 	: # install $(p_rlfe)
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	dh_installdirs -p$(p_rlfe) \
-	    usr/bin usr/share/man/man1 \
-	    usr/share/doc/$(p_rlfe)
-	cp -p $(builddir)/examples/rlfe/rlfe $(d_rlfe)/usr/bin/.
