## readline 8.1

=== debian/changelog ===
readline (8.1-1~mx19+1) mx; urgency=medium

  * Initial backport packaging for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 26 Jul 2021 16:17:57 -0400

readline (8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 07:58:34 +0100

readline (8.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate 3.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:20:00 +0100

readline (8.1~rc2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Nov 2020 08:10:55 +0100

readline (8.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate 2.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Nov 2020 17:48:26 +0100

readline (8.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Oct 2020 17:35:51 +0200

readline (8.1~beta1-1) experimental; urgency=medium

  * New upstream snapshot 8.1 alpha 1.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 13:49:39 +0200

readline (8.1~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 8.1 alpha 1.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 19:34:23 +0200
