=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: readline
 Section: libs
-Priority: important
-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 11),
   libncurses-dev,
   lib32ncurses-dev [amd64 ppc64], lib64ncurses-dev [i386 powerpc sparc s390],
-  mawk | awk, texinfo, autotools-dev,
+  mawk | awk, texinfo,
   gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc]
 
 Package: libreadline8
@@ -15,7 +16,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Section: libs
-Priority: important
 Description: GNU readline and history libraries, run-time libraries
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
@@ -28,7 +28,6 @@
 Architecture: i386 powerpc s390 sparc
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
 Section: libs
-Priority: optional
 Description: GNU readline and history libraries, run-time libraries (64-bit)
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
@@ -45,7 +44,6 @@
 Conflicts: libreadline5 (<< 5.0-11), libreadline-common
 Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11), libreadline-common
 Suggests: readline-doc
-Priority: important
 Description: GNU readline and history libraries, common files
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
@@ -57,7 +55,6 @@
 Package: libreadline-dev
 Architecture: any
 Section: libdevel
-Priority: optional
 Depends: libreadline8 (= ${binary:Version}), libncurses-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Multi-Arch: same
 Conflicts: libreadline5-dev, libreadline6-dev, libreadline-gplv2-dev
@@ -79,7 +76,6 @@
 Conflicts: lib64readline6-dev, lib64readline-gplv2-dev
 Provides: lib64readline6-dev
 Section: libdevel
-Priority: optional
 Description: GNU readline and history libraries, development files (64-bit)
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
@@ -92,7 +88,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: utils
-Priority: optional
 Provides: readline-editor
 Build-Profiles: <!cross>
 Description: Front-end using readline to "cook" input lines for other programs
@@ -107,7 +102,6 @@
 Architecture: amd64 ppc64
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
 Section: libs
-Priority: optional
 Description: GNU readline and history libraries, run-time libraries (32-bit)
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
@@ -122,7 +116,6 @@
 Conflicts: lib32readline6-dev, lib32readline-gplv2-dev
 Provides: lib32readline6-dev
 Section: libdevel
-Priority: optional
 Description: GNU readline and history libraries, development files (32-bit)
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
@@ -137,7 +130,6 @@
 Section: doc
 Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Replaces: libreadline6-dev (<< 6.3-8)
-Priority: optional
 Description: GNU readline and history libraries, documentation and examples
  The GNU readline library aids in the consistency of user interface
  across discrete programs that need to provide a command line
