## readline 8.1.2

=== debian/changelog ===
readline (8.1.2-1) unstable; urgency=medium

  * New upstream patch release.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 17:26:54 +0100

readline (8.1-2) unstable; urgency=medium

  * Apply upstream patch 001.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 09:01:33 +0200
