=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: readline
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 11),
   libncurses-dev,
