## readline 8.2

=== debian/changelog ===
readline (8.2-6) unstable; urgency=medium

  * Move lib64 libraries to /usr (Helmut Grohne). Closes: #1088046.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Dec 2024 14:31:14 +0100

readline (8.2-5) unstable; urgency=medium

  * Apply upstream patches 008 - 013.
  * Fix rlfe FTBFS with GCC 14. Closes: #1075438.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 11:17:03 +0200

readline (8.2-4) unstable; urgency=medium

  * Fix shlibs file for t64.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Mar 2024 09:45:44 +0100

readline (8.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064322
  * DEP17 P1: Mitigate file loss due to package rename with concurrent
    aliasing change. Closes: #1064361.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 22:49:06 +0000

readline (8.2-3) unstable; urgency=medium

  * Fix crash in rl_do_undo, taken from upstream. Closes: #1056314, #1037274.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:01:05 +0100

readline (8.2-2) unstable; urgency=medium

  * Apply upstream patches 002 - 007.
  * Move libraries to /usr. (Helmut Grohne). Closes: #1055958.
  * debian/README.source: Remove. Closes: #1023676.
  * Remove dependencies on install-info: Closes: #1012425.
  * Add Homepage attribute. Closes: #1019711.
  * Bump debhelper and standards versions.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 11:07:51 +0100

readline (8.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert d/copyright to machine-readable format, adding missing info.
    (Closes: #1023686)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Jan 2023 21:49:45 +0100

readline (8.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Support the nobiarch build profile. (Closes: #737955)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 11 Nov 2022 07:37:10 +0100

readline (8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for crash with invalid locale. (Closes: #1021062)

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Oct 2022 14:47:17 +0300

readline (8.2-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 16:24:54 +0200

readline (8.2~rc2-2) unstable; urgency=medium

  * /etc/inputrc: Add options to make autocompletion case insensitive
    and display suggestions, commented out by default. See #990353.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2022 16:40:30 +0200

readline (8.2~rc2-1) experimental; urgency=medium

  * New upstream snapshot 8.2 rc2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2022 10:43:09 +0200

readline (8.2~rc1-1) experimental; urgency=medium

  * New upstream snapshot 8.2 rc1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:28:51 +0200

readline (8.2~beta-2) experimental; urgency=medium

  * New upstream snapshot 8.2 beta 1.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2022 09:42:22 +0200

readline (8.1.2-1.2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Apr 2022 20:23:20 +0200

readline (8.1.2-1.1) experimental; urgency=medium

  * Non-Maintainer Upload.
  * Add libreadline8-udeb and readline-common-udeb packages.
    Closes: #1002508.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Apr 2022 16:43:54 +0200
