=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.7.0
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13),
   libncurses-dev,
-  lib32ncurses-dev [amd64 ppc64], lib64ncurses-dev [i386 powerpc sparc s390],
+  lib32ncurses-dev [amd64 ppc64] <!nobiarch>, lib64ncurses-dev [i386 powerpc sparc s390] <!nobiarch>,
   mawk | awk, texinfo,
-  gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc]
+  gcc-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc] <!nobiarch>
+Homepage: https://tiswww.case.edu/php/chet/readline/rltop.html
 
-Package: libreadline8
+Package: libreadline8t64
+Provides: ${t64:Provides}
+Replaces: libreadline8
+Breaks: libreadline8 (<< ${source:Version})
 Architecture: any
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -23,9 +27,25 @@
  The GNU history library provides a consistent user interface for
  recalling lines of previously typed input.
 
+Package: libreadline8-udeb
+Architecture: any
+Depends: readline-common-udeb, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Package-Type: udeb
+Build-Profiles: <!noudeb>
+Section: debian-installer
+Description: GNU readline and history libraries, run-time libraries (d-i)
+ The GNU readline library aids in the consistency of user interface
+ across discrete programs that need to provide a command line
+ interface.
+ .
+ The GNU history library provides a consistent user interface for
+ recalling lines of previously typed input.
+
 Package: lib64readline8
 Architecture: i386 powerpc s390 sparc
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!nobiarch>
 Section: libs
 Description: GNU readline and history libraries, run-time libraries (64-bit)
  The GNU readline library aids in the consistency of user interface
@@ -39,7 +59,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: utils
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: ${misc:Depends}
 Conflicts: libreadline5 (<< 5.0-11), libreadline-common
 Replaces: libreadline4 (<< 4.3-16), libreadline5 (<< 5.0-11), libreadline-common
 Suggests: readline-doc
@@ -51,10 +71,24 @@
  The GNU history library provides a consistent user interface for
  recalling lines of previously typed input.
 
+Package: readline-common-udeb
+Architecture: all
+Depends: ${misc:Depends}
+Package-Type: udeb
+Build-Profiles: <!noudeb>
+Section: debian-installer
+Description: GNU readline and history libraries, common files (d-i)
+ The GNU readline library aids in the consistency of user interface
+ across discrete programs that need to provide a command line
+ interface.
+ .
+ The GNU history library provides a consistent user interface for
+ recalling lines of previously typed input.
+
 Package: libreadline-dev
 Architecture: any
 Section: libdevel
-Depends: libreadline8 (= ${binary:Version}), libncurses-dev, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: libreadline8t64 (= ${binary:Version}), libncurses-dev, ${misc:Depends}
 Multi-Arch: same
 Conflicts: libreadline5-dev, libreadline6-dev, libreadline-gplv2-dev
 Suggests: readline-doc
@@ -74,6 +108,7 @@
 Depends: lib64readline8 (= ${binary:Version}), lib64ncurses-dev, ${devxx:Depends}, ${misc:Depends}
 Conflicts: lib64readline6-dev, lib64readline-gplv2-dev
 Provides: lib64readline6-dev
+Build-Profiles: <!nobiarch>
 Section: libdevel
 Description: GNU readline and history libraries, development files (64-bit)
  The GNU readline library aids in the consistency of user interface
@@ -100,6 +135,7 @@
 Package: lib32readline8
 Architecture: amd64 ppc64
 Depends: readline-common, ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!nobiarch>
 Section: libs
 Description: GNU readline and history libraries, run-time libraries (32-bit)
  The GNU readline library aids in the consistency of user interface
@@ -114,6 +150,7 @@
 Depends: lib32readline8 (= ${binary:Version}), lib32ncurses-dev, ${devxx:Depends}, ${misc:Depends}
 Conflicts: lib32readline6-dev, lib32readline-gplv2-dev
 Provides: lib32readline6-dev
+Build-Profiles: <!nobiarch>
 Section: libdevel
 Description: GNU readline and history libraries, development files (32-bit)
  The GNU readline library aids in the consistency of user interface
@@ -127,7 +164,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: ${misc:Depends}
 Replaces: libreadline6-dev (<< 6.3-8)
 Description: GNU readline and history libraries, documentation and examples
  The GNU readline library aids in the consistency of user interface
