=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 soversion = 8
-libversion = $(soversion).1
+libversion = $(soversion).2
 
 # architecture dependent variables
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -17,9 +17,14 @@
 CROSS=gcc
 endif
 
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
+  buildudeb = yes
+endif
+
 ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/i386/powerpc/sparc/s390/))
   build64 = yes
   CC64 = $(CROSS) -m64
+  lib64dir = usr/lib64
   gencontrol_flags = -- \
 	'-Vdevxx:Depends=libc6-dev-$(ARCH64)'
   ifeq ($(DEB_HOST_ARCH),i386)
@@ -43,8 +48,7 @@
 ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/amd64/ppc64/))
   build32 = yes
   CC32 = $(CROSS) -m32
-  lib32dir = lib32
-  lib32devdir = usr/lib32
+  lib32dir = usr/lib32
   gencontrol_flags = -- \
 	'-Vdevxx:Depends=libc6-dev-$(ARCH32)'
   ifeq ($(DEB_HOST_ARCH),amd64)
@@ -59,6 +63,11 @@
 
 unexport CPPFLAGS CFLAGS LDFLAGS
 
+ifneq ($(filter nobiarch,$(DEB_BUILD_PROFILES)),)
+build32 =
+build64 =
+endif
+
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
@@ -68,10 +77,12 @@
 
 SHELL	= bash
 
-p_rl	= libreadline$(soversion)
+p_rl	= libreadline$(soversion)t64
+p_rlu	= libreadline$(soversion)-udeb
 p_rl32	= lib32readline$(soversion)
 p_rl64	= lib64readline$(soversion)
 p_comm	= readline-common
+p_commu	= readline-common-udeb
 p_rld	= libreadline-dev
 p_rld32	= lib32readline-dev
 p_rld64	= lib64readline-dev
@@ -79,12 +90,15 @@
 p_rlfe	= rlfe
 
 d	= debian/tmp
+du	= debian/tmp-udeb
 d32	= debian/tmp32
 d64	= debian/tmp64
 d_rl	= debian/$(p_rl)
+d_rlu	= debian/$(p_rlu)
 d_rl32	= debian/$(p_rl32)
 d_rl64	= debian/$(p_rl64)
 d_comm	= debian/$(p_comm)
+d_commu	= debian/$(p_commu)
 d_rld	= debian/$(p_rld)
 d_rld32	= debian/$(p_rld32)
 d_rld64	= debian/$(p_rld64)
@@ -93,6 +107,7 @@
 
 srcdir		= $(CURDIR)
 builddir	= $(CURDIR)/build
+builddiru	= $(CURDIR)/buildudeb
 builddir32	= $(CURDIR)/build32
 builddir64	= $(CURDIR)/build64
 
@@ -105,11 +120,22 @@
 	rm -rf $(builddir)
 	mkdir $(builddir)
 	find . -type d | xargs chmod g-s
+	chmod +x configure
 	cd $(builddir) && \
 	  CC=$(CC) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" $(srcdir)/configure \
 		--prefix=/usr\
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+
+ifneq ($(buildudeb),)
+	rm -rf $(builddiru)
+	mkdir $(builddiru)
+	cd $(builddiru) && \
+	  CFLAGS="$(CFLAGS) -Os" CPPFLAGS="$(CPPFLAGS)" $(srcdir)/configure \
+		--prefix=/usr\
+		--host=$(DEB_HOST_GNU_TYPE) \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+endif
 
 ifneq ($(build32),)
 	rm -rf $(builddir32)
@@ -129,6 +155,9 @@
 
 	touch configure-stamp
 
+debian/%:debian/%.in
+	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' $< > $@
+
 build: build-stamp $(if $(filter cross,$(DEB_BUILD_PROFILES)),,build-rlfe-stamp)
 build-arch: build
 build-indep: build
@@ -140,6 +169,14 @@
 	    SHOBJ_CFLAGS="-fPIC -D_REENTRANT" \
 	    SHOBJ_LDFLAGS='$(LDFLAGS) -shared' \
 	    SHLIB_LIBS="-ltinfo"
+
+ifneq ($(buildudeb),)
+	$(MAKE) -C $(builddiru) \
+	    CFLAGS="$(CFLAGS) -Os" CPPFLAGS="$(CPPFLAGS)" \
+	    SHOBJ_CFLAGS="-fPIC -D_REENTRANT" \
+	    SHOBJ_LDFLAGS='$(LDFLAGS) -shared' \
+	    SHLIB_LIBS="-ltinfo"
+endif
 
 ifneq ($(build32),)
 	$(MAKE) -C $(builddir32) \
@@ -175,10 +212,12 @@
 	rm -rf $(builddir)/examples/rlfe
 	cp -a examples/rlfe $(builddir)/examples/
 	ln -sf ../../.. $(builddir)/examples/rlfe/readline
+	chmod +x $(builddir)/examples/rlfe/configure
 	cd $(builddir)/examples/rlfe \
-		&& ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE)
+		&& ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) \
+	    CFLAGS="$(CFLAGS) -Wno-implicit-int -Wno-implicit-function-declaration -Wno-builtin-declaration-mismatch -D_GNU_SOURCE" CPPFLAGS="$(CPPFLAGS)"
 	$(MAKE) -C $(builddir)/examples/rlfe \
-	    CFLAGS="$(CFLAGS) -D_GNU_SOURCE" CPPFLAGS="$(CPPFLAGS)" \
+	    CFLAGS="$(CFLAGS) -Wno-implicit-int -Wno-implicit-function-declaration -Wno-builtin-declaration-mismatch -D_GNU_SOURCE" CPPFLAGS="$(CPPFLAGS)" \
 	    LDFLAGS="$(LDFLAGS) -g -L$(builddir)/shlib" \
 	    LIBS="-lreadline -ltinfo -lutil" rlfe
 	touch build-rlfe-stamp
@@ -188,12 +227,13 @@
 	dh_testroot
 	rm -f configure*-stamp build*-stamp install-stamp
 	rm -rf autom4te.cache
-	rm -rf $(builddir) $(builddir32) $(builddir64)
+	rm -rf $(builddir) $(builddir32) $(builddir64) $(builddiru)
 	rm -rf debian/tmp*
 	rm -f doc/*.dvi
 	rm -f debian/shlibs.local
 	find . -type d | xargs chmod g-s
 	rm -f support/config.guess support/config.sub
+	rm -f debian/libreadline8t64.preinst debian/libreadline8t64.postrm
 	dh_clean
 
 install: install-stamp
@@ -215,15 +255,9 @@
 
 	: # move $(p_rl)
 	dh_installdirs -p$(p_rl) \
-		etc \
-		lib/$(DEB_HOST_MULTIARCH) \
+		usr/lib/$(DEB_HOST_MULTIARCH) \
 		usr/share/doc
-	cp -a $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/lib{history,readline}.so.* $(d_rl)/lib/$(DEB_HOST_MULTIARCH)/
-#	cp -a $(d)/usr/lib/lib{history,readline}.so.$(libversion) $(d_rl)/lib/
-#	ln -s libhistory.so.$(libversion) \
-#		$(d_rl)/lib/libhistory.so.$(soversion)
-#	ln -s libreadline.so.$(libversion) \
-#		$(d_rl)/lib/libreadline.so.$(soversion)
+	cp -a $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/lib{history,readline}.so.* $(d_rl)/usr/lib/$(DEB_HOST_MULTIARCH)/
 
 	: # move $(p_comm)
 	dh_installdirs -p$(p_comm) \
@@ -244,30 +278,6 @@
 		usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		usr/share/doc \
 		usr/share/info
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libhistory.so.$(soversion) \
+	ln -s libhistory.so.$(soversion) \
 		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/libhistory.so
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libreadline.so.$(soversion) \
-		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/libreadline.so
-	mv $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/lib{history,readline}.a \
-		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/.
-	mv $(d)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/readline.pc \
-		$(d_rld)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/.
-	mv $(d)/usr/include $(d_rld)/usr/.
-
-	: # remove HAVE_CONFIG_H from installed headers
-	awk '/^#if defined \(HAVE_CONFIG_H\)/, /^#endif/ \
-	     {if ($$0 == "#else") print "#include <string.h>"; next} {print}' \
-	  $(d_rld)/usr/include/readline/chardefs.h \
-	  > $(d_rld)/usr/include/readline/chardefs.h.new
-	if diff -u $(d_rld)/usr/include/readline/chardefs.h \
-		$(d_rld)/usr/include/readline/chardefs.h.new; \
-	then \
-	  rm -f $(d_rld)/usr/include/readline/chardefs.h.new; \
-	else \
-	  mv -f $(d_rld)/usr/include/readline/chardefs.h.new \
-	    $(d_rld)/usr/include/readline/chardefs.h; \
-	fi
-
-ifeq (,$(filter cross,$(DEB_BUILD_PROFILES)))
-	: # install $(p_rlfe)
-	dh_installdirs -p$(p_rlfe) \
+	ln -s libreadline.so.$(soversion) \
