=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: readline
 Section: libs
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.7.0
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Standards-Version: 4.6.2
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13),
   libncurses-dev,
   lib32ncurses-dev [amd64 ppc64] <!nobiarch>, lib64ncurses-dev [i386 powerpc sparc s390] <!nobiarch>,
