## readline 8.3~alpha1

=== debian/changelog ===
readline (8.3~alpha1-1) experimental; urgency=medium

  * New upstream 8.3 alpha release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 11:37:39 +0200
